package hayashi.tools.files;
import java.io.*;

/**
 * 指定されたディレクトリを削除する。<br>
 * java hayashi.tools.files.DeleteDir [directory]<br>
 * <br>
 * 指定されたディレクトリがない場合には例外をスローする<br>
 * 削除権限がない場合には例外をスローする<br>
 * <br>
 * (注意)<br>
 * ※ 指定されたディレクトリ内にファイル存在する場合も削除する。<br>
 * ※ 指定されたディレクトリのサブディレクトリも削除対象とします。<br>
 * ※ ディレクトリ自身も削除されます。<br>
 */
public class DeleteDir
{
    public static void main (String args[]) {
        if (args.length < 1) {
            System.out.println("hayashi.tools.files.DeleteDir [directory]");
            return;
        }
        
		try {
			DeleteDir.delete(new File(args[0]));
		}
		catch(Exception e) {
			e.printStackTrace();
			System.out.println(e.toString());
		}
    }
    
    public static void delete(File file) throws IOException {
        if (!file.exists()) {
            System.out.println("ERROR: ファイルまたはディレクトリが見つかりませんでした。");
            throw new IOException("File not found.");
        }
        
        if (file.isDirectory()) {
            File files[] = file.listFiles();
            if (files != null) {
                for (int i=0; i < files.length; i++) {
                    delete(files[i]);    // 再帰呼び出し
                }
            }
        }
        if (!file.delete()) {
            System.out.println(" ... [ERROR!]");
        }
        return;
    }
}
