package jp.co.areaweb.tools.command;
import java.io.IOException;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.ParserConfigurationException;

/**
 * 指定されたファイルが整形式XML文書であるかどうかをしらべる。
 * exp) java -cp jp.co.areaweb.tools.command.ReadXML build.xml
 * @author Hayashi,Yuu
 * @since	2005/01/15
 */
public class ReadXML {
    public static void main(String[] argv) {
        try {
            DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
            factory.setValidating(true);
            DocumentBuilder builder = factory.newDocumentBuilder();
            builder.parse(argv[0]);
            System.out.println("整形式XML文書です");
        }
        catch (ParserConfigurationException e) {
            System.out.println("[内部エラー]要求された構成を満たす DocumentBuilder を生成できない");
            e.printStackTrace();
        }
        catch (IOException e) {
            System.out.println("入出力エラーが発生");
            e.printStackTrace();
        }
        catch (org.xml.sax.SAXException e) {
            System.out.println("構文解析エラーが発生");
            e.printStackTrace();
        }
        catch (IllegalArgumentException e) {
            System.out.println("入力ファイルが存在しません");
            e.printStackTrace();
        }
    }

}
